Bug 198326 - Xine will not work with SELinux enabled in FC 6Test1
Xine will not work with SELinux enabled in FC 6Test1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 01:28 EDT by apf
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 09:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description apf 2006-07-11 01:28:59 EDT
Description of problem:
I installed Xine from RPMs that have worked with the last few Fedora releases 
(do not have the version number on me, sorry).  The software, including the 
GUI frontend, would launch and instantly crash within GNOME.

Switching SELinux off resolved the problem.

Error log reported a problem that seemed to indicate the software was 
prevented from outputting to the monitor.

Version-Release number of selected component (if applicable):
Don't have access to my machine at present, sorry for the Xine version.

How reproducible:
Install Xine RPMS with default SeLinux security.  Run as root.  Launch Xine 
and attempt to play a DVD.

Steps to Reproduce:
1.  Install Xine program, Xine GUI and DVD decryption software after a default 
installation of FC6Test1 with SELinux on.
2.  Launch Xine. it will crash.
3.  Switch off SELInux and try Xine again.  It will play DVDs without issue.
  
Actual results:
Xine will crash and output mesage to error log.

Expected results:
Xine should load.

Additional info:
Comment 1 Daniel Walsh 2006-07-11 09:04:09 EDT
Any avc messages in /var/log/messages?

Probably an execmem or execstack problem.
Comment 2 Daniel Walsh 2006-07-11 16:29:14 EDT
If you execute 
chcon -t unconfined_execmem_exec_t /usr/bin/xine

Does it work?
Comment 3 apf 2006-07-11 18:47:16 EDT
I'll have a look at it when I go home tonight and provide some more 
information for you.  
Comment 4 apf 2006-07-13 18:44:12 EDT
Hello Daniel,

You were correct on all counts.  There were a series of four avc messages 
in /var/log/messages, indicating an execmem problem.  I was going to attach a 
copy of the messages to this bug report but I had some trouble emailing it to 
this account as the Cosmopod service I am using was down yesterday...

My Xine version was 0.99.4.  Running the script you mention  above,

chcon -t unconfined_execmem_exec_t /usr/bin/xine

allows it to work.

Hope this information helps you.

Cheers,

David LS
HOBART TAS
Comment 5 Daniel Walsh 2006-09-18 13:31:22 EDT
Fixed in selinux-policy-2.3.14-3
Comment 6 Matthew Miller 2007-04-06 13:33:22 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.